Debian Bug report logs - #522790
libsvn-web-perl: svnweb-server crash when attepmt to browse repository

version graph

Package: libsvn-web-perl; Maintainer for libsvn-web-perl is Hilko Bengen <bengen@debian.org>; Source for libsvn-web-perl is src:libsvn-web-perl.

Reported by: d.gerov@mail.bg

Date: Mon, 6 Apr 2009 13:45:04 UTC

Severity: normal

Found in version libsvn-web-perl/0.53-2.1

Fixed in version libsvn-web-perl/0.53-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Moreno <damog@debian.org>:
Bug#522790; Package libsvn-web-perl. (Mon, 06 Apr 2009 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to d.gerov@mail.bg:
New Bug report received and forwarded. Copy sent to David Moreno <damog@debian.org>. (Mon, 06 Apr 2009 13:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: d.gerov@mail.bg
To: submit@bugs.debian.org
Cc: d.gerov@mail.bg
Subject: libsvn-web-perl: svnweb-server crash when attepmt to browse repository
Date: Mon, 06 Apr 2009 16:42:09 +0300
[Message part 1 (text/plain, inline)]
Package: libsvn-web-perl
Version: 0.53-2.1
Severity: normal

I'm trying to run via apache2 and from console and when click on link  
to repository I get folowing error mesages:

user@host:~/svnweb$ svnweb-server --port 9090
HTTP::Server::Simple: You can connect to your server at http://localhost:9090/
perl:  
/tmp/buildd/subversion-1.5.1dfsg1/subversion/libsvn_ra/ra_loader.c:977:  
svn_ra_get_log: Assertion `*path != '/'' failed.
Aborted

This error from error.log from apache2:

[Mon Apr 06 13:03:30 2009] [error] [client 192.168.0.100] File does  
not exist: /var/www/favicon.ico
apache2:  
/tmp/buildd/subversion-1.5.1dfsg1/subversion/libsvn_ra/ra_loader.c:977:  
svn_ra_get_log: Assertion `*path != '/'' failed.
[Mon Apr 06 13:03:32 2009] [notice] child pid 15326 exit signal Aborted (6)

Regards
 Dimitar

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libsvn-web-perl depends on:
ii  libexception-class-perl 1.24-1           a module that allows you  
to declar
ii  libhtml-parser-perl     3.56-1+b1        A collection of modules  
that parse
ii  libhttp-server-simple-p 0.34-1           simple stand-alone HTTP server
ii  liblocale-maketext-lexi 0.66-1           Lexicon-handling backends  
for "Loc
ii  libsvn-perl             1.5.1dfsg1-2     Perl bindings for Subversion
ii  libtemplate-perl        2.19-1.1lenny1.1 template processing  
system written
ii  libyaml-perl            0.66-1           YAML Ain't Markup Language (tm)
ii  perl                    5.10.0-19        Larry Wall's Practical Extraction

libsvn-web-perl recommends no packages.

libsvn-web-perl suggests no packages.

-- no debconf information


-------------------------------------
Powered by Mail.BG - http://mail.bg
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno <damog@debian.org>:
Bug#522790; Package libsvn-web-perl. (Thu, 23 Apr 2009 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to aneesh kumar <aneeshknlr@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Moreno <damog@debian.org>. (Thu, 23 Apr 2009 12:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 522790@bugs.debian.org (full text, mbox):

From: aneesh kumar <aneeshknlr@gmail.com>
To: 522790@bugs.debian.org
Subject: perl: subversion/libsvn_ra/ra_loader.c:977: svn_ra_get_log: Assertion `*path != '/'' failed. Aborted
Date: Thu, 23 Apr 2009 17:43:46 +0530
[Message part 1 (text/plain, inline)]
Hi all,


 I have the same problem. I cannot resolve it yet. Please help me .
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno <damog@debian.org>:
Bug#522790; Package libsvn-web-perl. (Tue, 05 May 2009 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <chammers@netcologne.de>:
Extra info received and forwarded to list. Copy sent to David Moreno <damog@debian.org>. (Tue, 05 May 2009 13:06:02 GMT) Full text and rfc822 format available.

Message #15 received at 522790@bugs.debian.org (full text, mbox):

From: Christian Hammers <chammers@netcologne.de>
To: 522790@bugs.debian.org
Subject: libsvn-web-perl: svnweb-server crash when attepmt to browse repository
Date: Tue, 5 May 2009 15:05:24 +0200
Hello

This bug can be fixed by installing libsvn-web-perl 0.53-3 from unstable.
Please upload it to stable-proposed-updates.

bye,

-christian-





Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno <damog@debian.org>:
Bug#522790; Package libsvn-web-perl. (Tue, 29 Dec 2009 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to emhn@usb.ve:
Extra info received and forwarded to list. Copy sent to David Moreno <damog@debian.org>. (Tue, 29 Dec 2009 01:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 522790@bugs.debian.org (full text, mbox):

From: Ernesto Hernández-Novich <emhn@usb.ve>
To: 522790@bugs.debian.org
Subject: libsvn-web-perl: svnweb-server crash when attepmt to browse repository
Date: Mon, 28 Dec 2009 20:33:19 -0430
I had the same problem, but using SVN::Web through Apache2 and mod_perl
to create a customized SVN browser. After a straight dist-upgrade from
Debian Etch to Lenny, the Web SVN access stopped working and I started
getting error messages like the ones mentioned in the original bug
report [1].

I fixed it as suggested by Christian Hammers [2] and would also
appreciate the upload of 0.53-3 from unstable to stable-proposed-updates
in the near future, so it becomes part of the next Lenny update.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522790#5
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522790#15
-- 
Prof. Ernesto Hernández-Novich - MYS-220C
Geek by nature, Linux by choice, Debian of course.
If you can't aptitude it, it isn't useful or doesn't exist.
GPG Key Fingerprint = 438C 49A2 A8C7 E7D7 1500 C507 96D6 A3D6 2F4C 85E3






Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno <damog@debian.org>:
Bug#522790; Package libsvn-web-perl. (Tue, 05 Jun 2012 12:51:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to David Moreno <damog@debian.org>. (Tue, 05 Jun 2012 12:51:38 GMT) Full text and rfc822 format available.

Message #25 received at 522790@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: control@bugs.debian.org, 522790@bugs.debian.org
Subject: Document that the bug is fixed in unstable.
Date: Tue, 05 Jun 2012 14:43:19 +0200
fixed 522790 0.53-3
thank you




Marked as fixed in versions libsvn-web-perl/0.53-3. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 12:51:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:32:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.